Subject: Pine and Solaris 2.2... help!

From: [email-masked] (P.D.Bates)
Date: Mon, 15 Aug 1994 12:42:38 GMT

Hello there...

I am presently trying to compile
Pine (3.89 or 3.87, the version 
doesn't really matter to me) on
a system with Solaris 2.2. as the OS.

I have found pre-compiled binaries
of both Pico and Pine for the system,
and they work wonderfully, but Pine
defaults to having 4 debug reports,
whereas I want to disable the debug
option altogether (by editing pine/osdep/os-sv4.h)
and setting the number of reports to 0.

All I want to do is change this one
little thing, but when I try to compile
with 'build sol' it fails every-time.

It could be a C-compiler problem, I have
gcc here, and the version of cc (/usr/ucb/cc) 
doesn't fit the bill at all it seems...

I have tried compiling for the Solaris
platform on another system with both
cc and gcc, and still failed...

Everything I try always elicits the 
results... '.../c-client/osdep.h:49: sys/utime.h: 
No such file or directory...

But if it can seemingly find the other
include files (such as sys/type.h)...
why doesn't it find that one???

Am I doing something patently wrong?

Can anyone help? Has anyone 
successfully compiled Pine
under Solaris? Any help will
be most gratefully received,
although preferably by Email.

Thanks!

Peter Bates,
University of Bradford.